/*
 * Sixth 3D engine. Author: Svjatoslav Agejenko.
 * This project is released under Creative Commons Zero (CC0) license.
 */
package eu.svjatoslav.sixth.e3d.renderer.octree.raytracer;

import eu.svjatoslav.sixth.e3d.geometry.Point3D;
import eu.svjatoslav.sixth.e3d.renderer.raster.Color;

/**
 * Represents light source.
 */
public class LightSource {

    /**
     * Light source color.
     */
    public Color color;
    /**
     * Light source brightness.
     */
    public float brightness;
    /**
     * Light source location.
     */
    Point3D location;

    public LightSource(final Point3D location, final Color color,
                       final float Brightness) {
        this.location = location;
        this.color = color;
        brightness = Brightness;
    }

}
